#
View Source mix ash.generate_flow_charts (ash v2.14.2)

Generates a Mermaid Flow Chart for each `Ash.Flow` alongside the flow.

If there is a `run_flow` step in the flow, this will also create an "expanded" Mermaid Flow Chart which includes all child steps.

##

prerequisites

Prerequisites

This mix task requires the Mermaid CLI to be installed on your system.

See https://github.com/mermaid-js/mermaid-cli

##

command-line-options

Command line options

- `--only` - only generates the given Flow file
- `--format` - Can be set to one of either:
  - `plain` - Prints just the mermaid output as text. This is the default.
  - `md` - Prints the mermaid diagram in a markdown code block.
  - `svg` - Generates an SVG
  - `pdf` - Generates a PDF
  - `png` - Generates a PNG

# Link to this section Summary

## Functions

run(argv)

Callback implementation for `Mix.Task.run/1`.

# Link to this section Functions

Link to this function

# run(argv)

View Source

Callback implementation for `Mix.Task.run/1`.